<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.4
  $Source: /cvsroot/coppermine/stable/upload.php,v $
  $Revision: 1.21 $
  $Author: gaugau $
  $Date: 2006/02/24 13:30:07 $
  ********************************************
  Coppermine version: ?
  $Source: /cvsroot/coppermine/stable/jupload.php,v $
  $Revision: ?
  $Author: Etienne Gauthier
  $Date: ?
**********************************************/


//####################################################################################################
//#################################     INCLUDES    ##################################################
//####################################################################################################

// Confirm we are in Coppermine and set the language blocks.
define('IN_COPPERMINE', true);
//Let's also include the upload text.
define('UPLOAD_PHP', true);
define('JUPLOAD_PHP', true);
define('DB_INPUT_PHP', true);
define('ADMIN_PHP', true);

// Call basic functions, etc.
require('include/init.inc.php');
require('include/picmgmt.inc.php');

//Localisation. Handled from specific files, to make upgrade of coppermine easier:
//First: we load the default text (english)
require('plugins/jupload/lang/english.php');
trigger_error($lang_translation_info);
//Then, you overload with the choosen language, for existing translations.
$bJuploadTranslactionExist = file_exists('plugins/jupload/lang/' . $USER['lang'] . '.php'); 
if ($bJuploadTranslactionExist) {
    require('plugins/jupload/lang/' . $USER['lang'] . '.php');
}
	
// Some placeholders.
$customize = CUSTOMIZE_UPLOAD_FORM;
$user_form = USER_UPLOAD_FORM;
$allowed_URI_boxes = NUM_URI_BOXES;
$allowed_file_boxes = NUM_FILE_BOXES;

// Check to see if user can upload pictures.  Quit with an error if he cannot.
if (!USER_CAN_UPLOAD_PICTURES) {
    cpg_die(ERROR, $lang_jupload_php['perm_denied'], __FILE__, __LINE__);
}
// Globalize $CONFIG.
global $CONFIG, $lang_jupload_php, $user_form, $max_file_size;

//####################################################################################################
//#################################    FUNCTIONS    ##################################################
//####################################################################################################

//This function displays the success message resulting of an action (creation or modification of album for instance)
function message_success ($action, $album = 0) {
	global $lang_jupload_php, $lang_continue;
	$url = "jupload.php" . ( ($album>0) ? "?album=$album" : '');
    pageheader($lang_login_php['success'], '<META http-equiv="refresh" content="3;url=' . $url . '">');
    msg_box($lang_jupload_php['success'], $lang_jupload_php['success'], $lang_continue, $url);
    pagefooter();
    exit;
}
//Insert an album into database, if the user is allowed to.
//The category is given into $cat. It's mandatory if the galery is in admin mode.
function create_album($album, $album_name, $album_description, $cat='') {
  global $lang_errors, $CONFIG, $lang_jupload_php;
  if (!(GALLERY_ADMIN_MODE || USER_ADMIN_MODE)) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

  if ($album_name == '') cpg_die(ERROR, $lang_errors['param_missing'], __FILE__, __LINE__);

  if (GALLERY_ADMIN_MODE) {
    if ($cat == '') cpg_die(ERROR, $lang_errors['param_missing'], __FILE__, __LINE__);
    $category = (int)$_POST['cat'];
  } else {
    $category = FIRST_USER_CAT + USER_ID;
  }

  //We first check that the user doesn't already own an album with this name
  $vQuery = "SELECT count(*) nb "
    		. " FROM {$CONFIG['TABLE_ALBUMS']} " 
    		. " WHERE category = '$category'"
    		. " AND   title = '" . addslashes($album_name) . "'";
  $vRes = cpg_db_query($vQuery);
  $vRes = mysql_fetch_array($vRes);
  if ($vRes['nb'] > 0) cpg_die(ERROR, $lang_jupload_php['error_album_already_exists'], __FILE__, __LINE__);

  //Let's insert the new album.
  $query = "INSERT INTO {$CONFIG['TABLE_ALBUMS']} (category, title, description, uploads, pos) "  
    . " SELECT '$category', '" . addslashes($album_name) . "', '" . addslashes($album_description) . "', 'NO',  IFNULL(MAX(pos),101) "
    . " FROM {$CONFIG['TABLE_ALBUMS']} WHERE category = '$category' ";
  cpg_db_query($query);
  
  //Now, we select its id, to redirect the user to this album.
  $vQuery = "SELECT aid "
    		. " FROM {$CONFIG['TABLE_ALBUMS']} " 
    		. " WHERE category = '$category'"
    		. " AND   title = '" . addslashes($album_name) . "'";
  $vRes = cpg_db_query($vQuery);
  $vRes = mysql_fetch_array($vRes);

  message_success("create_album", $vRes['aid']);
}//create_album

//Update an album into database, if the user is allowed to.
function update_album($album, $album_name, $album_description) {
  global $lang_errors, $CONFIG;
  if (!(GALLERY_ADMIN_MODE || USER_ADMIN_MODE)) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

  if (USER_ADMIN_MODE) {
    //The user may only update its own albums. 
    $category = FIRST_USER_CAT + USER_ID;
    $user_albums = cpg_db_query("SELECT 1 FROM {$CONFIG['TABLE_ALBUMS']} WHERE category = '$category'");
    if (! mysql_num_rows($user_albums)) {
      cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
    }
  }
  
  $query = "UPDATE {$CONFIG['TABLE_ALBUMS']} SET title='" . addslashes($album_name) 
  	. "', description='" . addslashes($album_description) . "' WHERE aid='$album' $restrict LIMIT 1";
  cpg_db_query($query);
  message_success("update_album", $album);
}//update_album

// The form label creation function. Takes a non-array element form $data as its argument.
//if $replace1 is given, all occurences of $1 is replaced by it (I don't like printf functions) 
function form_label($text, $replace1='') {
	if ($replace1 != '') {
		$t = str_replace('$1', $replace1, $text);
	} else {
		$t = $text;
	}
    echo <<<EOT
        <tr>
                <td class="tableh2" colspan="2">
                        <b>$t</b>
                </td>
        </tr>

EOT;
}

// The form statement creation function. Takes a non-array element form $data as its argument.
function form_statement($text) {
    echo <<<EOT
        <tr>
                <td class="tableb" colspan="2">
                        $text
                </td>
        </tr>

EOT;
}

// The hidden form input function. Takes the hidden input field name and value.
function hidden_input($name, $value) {
        echo <<<EOT
        <tr>
            <td colspan="2">
                   <input type="hidden" name="$name" value="$value" />
            </td>
        </tr>

EOT;
}

// The text box form input function. Takes the text label for the box, the input name, the maximum length for text boxes,
// and the number of iterations.
function text_box_input($text, $name, $max_length, $iterations, $default='') {

    global $CONFIG;

    $ordinal = '';

    if (($text == '') and ($iterations == '')) {
        echo "        <input type=\"hidden\" name=\"$name\" value=\"$default\" />\n";
        return;
    }

    // Begin loop
    for ($counter=0; $counter<$iterations; $counter++) {

    // Create a numbering system when necessary.
    if ($text == '') {
        $cardinal = $counter + 1;
        $ordinal = "".$cardinal.". ";
    }

    // Create a text box.
    echo <<<EOT
        <tr>
            <td width="40%" class="tableb">
                        $text  $ordinal
        </td>
        <td width="60%" class="tableb" valign="top">
                <input type="text" style="width: 100%" name="$name" maxlength="$max_length" value="$default" class="textinput" />
                </td>
        </tr>

EOT;
    }
}


// The function for text areas on forms. Takes the label, field name, and maximum length as arguments.
function text_area_input($text, $name, $max_length,$default='') {

    // Create the text area.
    echo <<<EOT
        <tr>
                <td class="tableb" valign="top">
                        $text
                </td>
                <td class="tableb" valign="top">
<f></f>                        <textarea name="$name" rows="5" cols="40" class="textinput" style="width: 100%;" onKeyDown="textCounter(this, $max_length);" onKeyUp="textCounter(this, $max_length);">$default</textarea>
                </td>
        </tr>
EOT;
}


// The function to create the album list drop down.
//Etienne Gauthier : add of the $jsEvent parameter : it allows the caller to precise a javascript event, 
 //like onChange. 
function form_alb_list_box($text, $name, $jsEvent='') {
// frogfoot re-wrote this function to present the list in categorized, sorted and nicely formatted order

    // Pull the $CONFIG array and the GET array into the function
    global $CONFIG, $lang_upload_php, $lang_jupload_php, $album;

    // Also pull the album lists into the function
    global $user_albums_list, $public_albums_list;

    // Create the opening of the drop down box
    echo <<<EOT
    <tr>
        <td class="tableb">
            $text
        </td>
        <td class="tableb" valign="top">
            <select name="$name" class="listbox" $jsEvent>

EOT;

    // Reset counter
    $list_count = 0;

    // Cycle through the User albums
    foreach($user_albums_list as $a) {

        // Add to multi-dim array for later sorting
        $listArray[$list_count]['cat'] = $lang_upload_php['personal_albums'];
        $listArray[$list_count]['aid'] = $a['aid'];
        $listArray[$list_count]['title'] = $a['title'];
        //EGR : add of the description to this interesting array.
        $listArray[$list_count]['description'] = $a['description'];
        $list_count++;
    }

    // Cycle through the public albums
    foreach($public_albums_list as $a) {

        // Set $a to the real album ID
        $aid = $a['aid'];

        // Get the category name
        $vQuery = "SELECT cat.name "
        		. " FROM " . $CONFIG['TABLE_CATEGORIES'] . " cat, " . $CONFIG['TABLE_ALBUMS'] . " alb " 
        		. " WHERE alb.aid='" . $aid . "' AND cat.cid=alb.category";
        $vRes = cpg_db_query($vQuery);
        $vRes = mysql_fetch_array($vRes);

        // Add to multi-dim array for sorting later
        if ($vRes['name']) {
            $listArray[$list_count]['cat'] = $vRes['name'];
        } else {
            $listArray[$list_count]['cat'] = $lang_upload_php['albums_no_category'];
        }
        $listArray[$list_count]['aid'] = $a['aid'];
        $listArray[$list_count]['title'] = $a['title'];
        $listArray[$list_count]['description'] = $a['description'];
        $list_count++;
    }

    // Sort the pulldown options by category and album name
    $listArray = array_csort($listArray,'cat','title');

    // Finally, print out the nicely sorted and formatted drop down list
    $alb_cat = '';
	echo '                <option value="">' . $lang_upload_php['select_album'] . "</option>\n";
    foreach ($listArray as $val) {
        if ($val['cat'] != $alb_cat) {
			if ($alb_cat) echo "                </optgroup>\n";
            echo '                <optgroup label="' . $val['cat'] . '">' . "\n";
            $alb_cat = $val['cat'];
        }
        echo '                <option value="' . $val['aid'] . '"' . ( ($val['aid'] == $album) ? ' SELECTED' : '') . '>   ' . $val['title'] . "</option>\n";
    }
    if ($alb_cat) echo "                </optgroup>\n";

    // Close the drop down
    echo <<<EOT
            </select>
        </td>
    </tr>

EOT;
}

// Creation of one or many submit buttons.
//If one : just give its value.
//If many (or one with js events), give an array of array. The second array should have the following keys :
//   - value (mandatory) : the value of the button
//   - js    (optional)  : the js event to handle.
function submit_button($buttons) {
  global $lang_upload_php;  
  $buttonsHtml = '';
  
  if (is_array($buttons)) {
    foreach ($buttons as $button) {
      if ($buttonsHtml != '') {
        $buttonsHtml .= '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
      }
      $buttonsHtml .= '<input type="submit" value="' . $button['value'] . '" class="button" ' 
          . ( (isset($button['js'])) ? $button['js'] : '')
          . ' />';
    }//foreach
  } else {
    $buttonsHtml = '<input type="submit" value="' . $buttons . '" class="button" />';
  }
  
  // Create the submit button and close the form.
  echo <<<EOT
        <tr>
                <td colspan="2" align="center" class="tablef">
                        {$buttonsHtml}
                </td>

        </tr>

EOT;
}

//####################################################################################################
//################################# MAIN CODE BLOCK ##################################################
//####################################################################################################

//Initialize local parameters.
$action				= isset($_POST['action']			) ? $_POST['action'] 			: '';
$album				= isset($_POST['album']			) ? ( (int) $_POST['album']) : (isset($_GET['album'])?(int)$_GET['album']:0);
$album_name			= isset($_POST['album_name']		) ? $_POST['album_name'] 		: '';
$album_description	= isset($_POST['album_description'] ) ? $_POST['album_description'] : '';

///////////////////////////////////////////////////////////////////////
/////////////////   HANDLE OF INCOMING ACTIONS  (if any)  /////////////
///////////////////////////////////////////////////////////////////////

if ($action == 'update_album') {
  update_album($album, $album_name, $album_description);
} else if ($action == 'create_album') {
  create_album($album, $album_name, $album_description);
} else {
  $action = ''; //Clear any bad value.
}


///////////////////////////////////////////////////////////////////////
///////////////   INIT OF SCRIPT VARIABLES  ///////////////////////////
///////////////////////////////////////////////////////////////////////


// Get public and private albums, and set maximum individual file size.

if (GALLERY_ADMIN_MODE) {
    $public_albums = cpg_db_query("SELECT aid, title, description  FROM {$CONFIG['TABLE_ALBUMS']} WHERE category < " . FIRST_USER_CAT . " ORDER BY title");
} else {
	$public_albums = cpg_db_query("SELECT aid, title, description  FROM {$CONFIG['TABLE_ALBUMS']} WHERE category < " . FIRST_USER_CAT . " AND uploads='YES' AND (visibility = '0' OR visibility IN ".USER_GROUP_SET.") ORDER BY title");
}
if (mysql_num_rows($public_albums)) {
    $public_albums_list = cpg_db_fetch_rowset($public_albums);
} else {
    $public_albums_list = array();
}

if (USER_ID) {
    $user_albums = cpg_db_query("SELECT aid, title, description FROM {$CONFIG['TABLE_ALBUMS']} WHERE category='" . (FIRST_USER_CAT + USER_ID) . "' ORDER BY title");
    if (mysql_num_rows($user_albums)) {
        $user_albums_list = cpg_db_fetch_rowset($user_albums);
    } else {
        $user_albums_list = array();
    }
} else {
    $user_albums_list = array();
}

/*
if (!count($public_albums_list) && !count($user_albums_list)) {
    cpg_die (ERROR, $lang_upload_php['err_no_alb_uploadables'], __FILE__, __LINE__);
}
*/

// Assign maximum file size for browser crontrols.
//$max_file_size = $CONFIG['max_upl_size'] << 10;



if ($album_name == ''  && $album > 0) {
	//Let's get the album name and description for the selected album. 
	$found = false;
    foreach($user_albums_list as $a) {
    	if ($a['aid'] == $album) {
    		$found = true;
    		$album_name = $a['title'];
    		$album_description = $a['description'];
    	}
    }
    if (!$found) {
	    foreach($public_albums_list as $a) {
	    	if ($a['aid'] == $album) {
	    		$found = true;
	    		$album_name = $a['title'];
	    		$album_description = $a['description'];
	    	}
	    }
    }
}



///////////////////////////////////////////////////////////////////////
/////////////////   GENERATING THE HTML CONTENT    ////////////////////
///////////////////////////////////////////////////////////////////////

pageheader($lang_jupload_php['title']);

///////////////////////////////////////////////////////////////////////
//First part : some local javascript
///////////////////////////////////////////////////////////////////////

//Initialization, let's prepare the creation of the desc array : what's the bigguest album number ?
$max = 0;
foreach($user_albums_list as $a) {
  if ($a['aid'] >= $max) {
    $max = $a['aid'] + 1;
  }
}//foreach

$error_select_album = rawurlencode(html_entity_decode($lang_jupload_php['error_select_album']));
$error_album_name   = rawurlencode(html_entity_decode($lang_jupload_php['error_album_name'  ]));

echo <<<EOS
  <script language="javascript" type="text/javascript">
  //What should we do, when the user selects another album ?
  function onAlbumChange() {
    if (document.form_album.album.selectedIndex >= 0) {
      document.applets['JUpload'].setProperty('albumId', document.form_album.album.value);
      document.form_album.album_name.value = document.form_album.album.options[document.form_album.album.selectedIndex].text;
      document.form_album.album_description.value = description[document.form_album.album.value];
    } else {
      document.JUpload.setProperty('albumId', '');
      document.form_album.album_name.value = '';
      document.form_album.album_description.value = '';
    }
  }
  function juploadAddPicture() {
  	if (document.form_album.album_name.value == '') {
  		alert(unescape('{$error_select_album}'));
  	} else {
	  	window.location='#applet';
  	}
	//In any case, the  submit must be refused.
	return false;
  }
  function juploadCreateAlbum() {
  	if (document.form_album.album_name.value == '') {
  		alert(unescape('{$error_album_name}'));
  		return false;
  	} else {	
	    document.form_album.action.value = 'create_album';
	    return true;
  	}	    
  }
  function juploadUpdateAlbum() {
  	if (document.form_album.album.selectedIndex == 0) {
  		alert(unescape('{$error_select_album}'));
  		return  false;
  	} else if (document.form_album.album_name.value == '') {
  		alert(unescape('{$error_album_name}'));
  		return false;
  	} else {
	    document.form_album.action.value = 'update_album';
	    return true;
  	}
  }
  description = new Array($max);
EOS
;

//Initialization, let's prepare the creation of the desc array
$max = 0;
foreach($user_albums_list as $a) {
	echo (
		"description[{$a['aid']}] = '" 
		. 
		//stripcslashes (
		str_replace("\r", "",
			str_replace("\n", "\\n",
				str_replace("'", "\\'", 
					html_entity_decode($a['description']) 
				)
			)
		)
		. "';\n");
}//foreach

echo <<<EOS
  </script>
EOS
;

///////////////////////////////////////////////////////////////////////
//Second part : the selection of the album
///////////////////////////////////////////////////////////////////////

echo ('<form method="post" name="form_album" enctype="multipart/form-data" action="' . $_SERVER['PHP_SELF'] . '">');
	starttable("100%", $lang_jupload_php['select_album'], 2);
	if (! $bJuploadTranslactionExist) {
		form_statement ('<B>The JUpload translation for this language doesn\'t exist. </B>'
			. 'If you want to create it, please go to the <a href="http://etienne.lesgauthier.fr/wiki/doku.php?id=jupload_translation">JUpload translation page</a>.'
			. '<HR>');
	}	
		form_statement ($lang_jupload_php['album_presentation']);
		form_alb_list_box ($lang_jupload_php['album'], "album", 'onChange="onAlbumChange()"');
		hidden_input('action', 'no action');
		//A default value is given only if the album number (in $album) is given:
		text_box_input($lang_jupload_php['album_name'], 'album_name', 255, 1, (($album>0)?$album_name:'')); 
		text_area_input($lang_jupload_php['album_description'], 'album_description', 2000, (($album>0)?$album_description:''));
		submit_button(array (
			    array( 'value'  =>  $lang_jupload_php['add_pictures'], 'js' => 'onClick="return juploadAddPicture()"'),
			    array( 'value'  =>  $lang_jupload_php['button_update_album'], 'js' => 'onClick="return juploadUpdateAlbum()"'),
			    array( 'value'  =>  $lang_jupload_php['button_create_album'], 'js' => 'onClick="return juploadCreateAlbum()"')
		    ));
	endtable();
echo ("</form>");


///////////////////////////////////////////////////////////////////////
//Third part : the upload applet
///////////////////////////////////////////////////////////////////////

starttable("100%", $lang_jupload_php['add_pictures'], 2);

  $URL = $CONFIG['site_url'] . 'xp_publish.php';
  $urlToSendErrorTo = $CONFIG['site_url'] . 'plugins/jupload/log_error.php';
  
  form_label ('<a name="applet">' . $lang_jupload_php['max_upload_size'], $CONFIG['max_upl_size']);
  form_statement ($lang_jupload_php['upload_presentation']);
  /*
   * Below : use of the standard applet tag for all. This is simpler, and seems to work better ... now. This
   * was probably wrong when the original jupload was released, in 2002. 
   */
  form_label (<<<EOS
  	<CENTER>
      <APPLET  
          NAME="JUpload"
          CODE="wjhk.jupload2.JUploadApplet" 
          ARCHIVE="plugins/jupload/wjhk.jupload.jar" 
          WIDTH="640" 
          HEIGHT="500"
          MAYSCRIPT
          >
          <PARAM NAME="albumId"             VALUE="$album">
          <PARAM NAME="debugLevel"          VALUE="0">
          <PARAM NAME="lang"                VALUE="${lang_translation_info['lang_country_code']}">
          <!-- PARAM NAME="filenameEncoding"    VALUE="utf-8" -->
          <PARAM NAME="maxPicHeight"        VALUE="${CONFIG['max_upl_width_height']}">
          <PARAM NAME="maxPicWidth"         VALUE="${CONFIG['max_upl_width_height']}">
          <PARAM NAME="nbFilesPerRequest"   VALUE="1">
          <PARAM NAME="postURL"             VALUE="$URL">
          <PARAM NAME="serverProtocol"      VALUE="${_SERVER['SERVER_PROTOCOL']}">
          <PARAM NAME="stringUploadSuccess" VALUE="SUCCESS">
          <PARAM NAME="uploadPolicy"        VALUE="CoppermineUploadPolicy">
          <PARAM NAME="urlToSendErrorTo"    VALUE="$urlToSendErrorTo">
                
      Java 1.4 or higher plugin required.
      </APPLET>
   </CENTER>
EOS
  );
/*
 * The form_label call below is keeped in the source ... if any want to use again.
 * 
  form_label (<<<EOS
  	<CENTER>
      <!--"CONVERTED_APPLET"-->
      <!-- HTML CONVERTER -->
      <SCRIPT LANGUAGE="JavaScript"><!--
          var _info = navigator.userAgent; 
          var _ns = false; 
          var _ns6 = false;
          var _ie = (_info.indexOf("MSIE") > 0 && _info.indexOf("Win") > 0 && _info.indexOf("Windows 3.1") < 0);
      //--></SCRIPT>
          <COMMENT>
              <SCRIPT LANGUAGE="JavaScript1.1"><!--
              var _ns = (navigator.appName.indexOf("Netscape") >= 0 && ((_info.indexOf("Win") > 0 && _info.indexOf("Win16") < 0 && java.lang.System.getProperty("os.version").indexOf("3.5") < 0) || (_info.indexOf("Sun") > 0) || (_info.indexOf("Linux") > 0) || (_info.indexOf("AIX") > 0) || (_info.indexOf("OS/2") > 0) || (_info.indexOf("IRIX") > 0)));
              var _ns6 = ((_ns == true) && (_info.indexOf("Mozilla/5") >= 0));
      //--></SCRIPT>
          </COMMENT>
      
      <SCRIPT LANGUAGE="JavaScript"><!--
          if (_ie == true) document.writeln("<OBJECT classid='clsid:8AD9C840-044E-11D1-B3E9-00805F499D93' NAME='JUpload' WIDTH='$width' HEIGHT=$height'  codebase='http://java.sun.com/update/1.4.2/jinstall-1_4-windows-i586.cab#Version=1,4,0,0'><NOEMBED><XMP>");
          else if (_ns == true && _ns6 == false) document.writeln('<EMBED \
      	    type="application/x-java-applet;version=1.4" \
		          CODE = "wjhk.jupload2.JUploadApplet" \
		          ARCHIVE = "plugins/jupload/wjhk.jupload.jar" \
		          WIDTH = "$width" \
		          HEIGHT = "$height" \
		          postURL = "$URL" \
		          uploadPolicy = "$uploadPolicy" \
		          albumId = "$album" \
		          ServerProtocol = "$serverProtocol"\
				  lang = "$lang"\
				  maxPicHeight = "$max_upl_width_height"\
				  maxPicWidth = "$max_upl_width_height"\
      	    scriptable=true \
      	    pluginspage="http://java.sun.com/products/plugin/index.html#download"><NOEMBED><XMP>');
      //--></SCRIPT>
      <APPLET  
          CODE="wjhk.jupload2.JUploadApplet" 
          NAME="JUpload"
          ARCHIVE="plugins/jupload/wjhk.jupload.jar" 
          WIDTH="$width" 
          HEIGHT="$height"
          MAYSCRIPT></XMP>
          <PARAM NAME="CODE"       VALUE="wjhk.jupload2.JUploadApplet" >
          <PARAM NAME="ARCHIVE"    VALUE="plugins/jupload/wjhk.jupload.jar" >
          <PARAM NAME="type"       VALUE="application/x-java-applet;version=1.4">
          <PARAM NAME="scriptable" VALUE="true">                      
          <PARAM NAME="postURL"      VALUE="$URL">
          <PARAM NAME="uploadPolicy" VALUE="$uploadPolicy">
          <PARAM NAME="albumId"      VALUE="$album">
          <PARAM NAME="ServerProtocol" VALUE="$serverProtocol">
          <PARAM NAME="lang"         VALUE="$lang">
          <PARAM NAME="maxPicHeight" VALUE="$max_upl_width_height">
          <PARAM NAME="maxPicWidth"  VALUE="$max_upl_width_height">
          <PARAM NAME="debugLevel"   VALUE="0">
                
      Java 1.4 or higher plugin required.
      </APPLET>
      </NOEMBED>
      </EMBED>
      </OBJECT>
      <!--"END_CONVERTED_APPLET"-->
   </CENTER>
EOS
  );
*/
endtable();


pagefooter();
ob_end_flush();

